POST api/NTNonInjury/PostNonInjuryNote

Request Information

URI Parameters

None.

Body Parameters

NonInjuryNoteDTO
NameDescriptionTypeAdditional information
Id

integer

None.

CaseNumber

integer

None.

NoteType

integer

None.

NoteText

string

String length: inclusive between 0 and 4000

CorporationCode

string

String length: inclusive between 0 and 20

insertUserName

string

String length: inclusive between 0 and 61

RelativeDateTime

string

String length: inclusive between 0 and 50

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "CaseNumber": 2,
  "NoteType": 3,
  "NoteText": "sample string 4",
  "CorporationCode": "sample string 5",
  "insertUserName": "sample string 6",
  "RelativeDateTime": "sample string 7",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:26:29.4990524-07:00",
  "DateUpdated": "2026-08-04T14:26:29.4990524-07:00",
  "UserIDCreated": 11,
  "UserIDUpdated": 12,
  "CompanyCode": "sample string 13",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfNonInjuryNoteDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

NonInjuryNoteDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "CaseNumber": 2,
    "NoteType": 3,
    "NoteText": "sample string 4",
    "CorporationCode": "sample string 5",
    "insertUserName": "sample string 6",
    "RelativeDateTime": "sample string 7",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:26:29.4990524-07:00",
    "DateUpdated": "2026-08-04T14:26:29.4990524-07:00",
    "UserIDCreated": 11,
    "UserIDUpdated": 12,
    "CompanyCode": "sample string 13",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}